ScrollPaneWindowSupport (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui
Class ScrollPaneWindowSupport

    java.lang.Object
      java.util.concurrent.CopyOnWriteArrayList<E>
          com.bbn.openmap.event.ListenerSupport<java.awt.event.ComponentListener>
              com.bbn.openmap.gui.WindowSupport
                  com.bbn.openmap.gui.ScrollPaneWindowSupport

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.ComponentListener, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.awt.event.ComponentListener>, java.util.Collection<java.awt.event.ComponentListener>, java.util.EventListener, java.util.List<java.awt.event.ComponentListener>, java.util.RandomAccess

    public class ScrollPaneWindowSupport

extends WindowSupport

The ScrollPaneWindowSupport class does the same thing as WindowSupport, it just wraps content in a JScrollPane.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bbn.openmap.gui.WindowSupport
`WindowSupport.Dlg, WindowSupport.Frm, WindowSupport.IntrnlFrm, WindowSupport.WSDisplay`

Field Summary

Fields inherited from class com.bbn.openmap.gui.WindowSupport
`componentLocation, componentSize, content, defaultWindowSupportDisplayType, display, DisplayWindowCmd, KillWindowCmd, maxHeight, maxWidth, persistentDisplayType, title`

Fields inherited from class com.bbn.openmap.event.ListenerSupport
`source`

Constructor Summary
`ScrollPaneWindowSupport(java.awt.Component content, java.lang.String windowTitle)` Create the window support.

Method Summary
`java.awt.Component` | `modifyContent(java.awt.Component comp)` Wrap content in a JScrollPane.

Methods inherited from class com.bbn.openmap.gui.WindowSupport
`actionPerformed, addComponentListener, checkBounds, cleanUp, componentHidden, componentMoved, componentResized, componentShown, createDisplay, createDisplay, displayInWindow, displayInWindow, displayInWindow, displayInWindow, displayInWindow, finalize, getComponentLocation, getComponentSize, getContent, getDefaultWindowSupportDisplayType, getDisplay, getTitle, getWindow, killWindow, removeComponentListener, setComponentLocation, setComponentSize, setContent, setDefaultPosition, setDefaultWindowSupportDisplayType, setDisplay, setFavIcon, setMaxSize, setTitle`

Methods inherited from class com.bbn.openmap.event.ListenerSupport
`add, add, addAll, clear, getSource, iterator, listIterator, remove, remove, set, setSource, size`

Methods inherited from class java.util.concurrent.CopyOnWriteArrayList
`addAll, addAllAbsent, addIfAbsent, clone, contains, containsAll, equals, get, hashCode, indexOf, indexOf, isEmpty, lastIndexOf, lastIndexOf, listIterator, removeAll, retainAll, subList, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScrollPaneWindowSupport

    public ScrollPaneWindowSupport(java.awt.Component content,
                                   java.lang.String windowTitle)

  Create the window support.

  Parameters:
    `content` - the content to display in the window.
    `windowTitle` - the title of the window.

Method Detail

### modifyContent

    public java.awt.Component modifyContent(java.awt.Component comp)

  Wrap content in a JScrollPane.

  Overrides:
    `modifyContent` in class `WindowSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details